GuidesAPI Reference
API Reference

Starts a multipart upload of a blob and returns URLs for the next multipart upload operations. The URLs contain the upload token.

Publishes large data blobs where the data payload needs to be split into multiple parts. The multipart upload start is to be followed by the individual parts upload and completed with a call to complete the upload. The limit of the blob uploaded this way is 50GB.

Path Params
string
required

The ID of the layer that the data blob belongs to.

string
required

The data handle (ID) represents an identifier for the data blob which contents will be persisted. The data handle can only contain alphanumeric, '-' and '.' characters, [0-9, a-z, A-Z, -, .]. The maximum length of this field is 600 characters.

Query Params
string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Body Params

body

string
enum
Defaults to identity

Specifies what content encodings have been applied to the blob and thus what decoding mechanisms must be applied to obtain the media-type referenced by the Content-Type header field. If the 'contentEncoding' field is specified in the catalog layer configuration this value must be equal to it.

Allowed:
string
required

A standard MIME type describing the format of the blob data. For more information, see RFC 2616, section 14.17: Content-Type. The value of this field must be equal to the one specified in the 'contentType' field in the catalog layer configuration.

Responses

401

Unauthorized

403

Forbidden

404

Not Found - the provided layerId doesn't exist.

409

Conflict - indicates blob with this dataHandle already exists

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json